美高梅官方网站3045-mgm6608美高梅app下载
windows下安装composer

windows下安装composer

作者:mgm6608美高梅app下载    来源:未知    发布时间:2020-02-10 09:21    浏览量:

Composer 是 PHP 的一个依赖管理工具。它允许你申明项目所依赖的代码库,它会在你的项目中为你安装他们。

Composer 是 PHP 的一个依赖管理工具。

定义

一个PHP的包管理工具

系统要求运行 Composer 需要 PHP 5.3.2+ 以上版本。

简介


切换中国镜像源

修改 composer 的全局配置文件(推荐方式)

composer config -g repo.packagist composer https://packagist.phpcomposer.com

安装文件

依赖管理

Composer 将这样为你解决问题:

  • 你有一个项目依赖于若干个库。
  • 其中一些库依赖于其他库。
  • 你声明你所依赖的东西。
  • Composer 会找出哪个版本的包需要安装,并安装它们(将它们下载到你的项目中)。

基本命令

composer.json要开始在你的项目中使用 Composer,你只需要一个 composer.json 文件。该文件包含了项目的依赖和其它的一些元数据。本文以rabbitMQ扩展包为例,

声明依赖关系

创建一个 composer.json文件,其中描述了项目的依赖关系。

{
    "require": {
        "monolog/monolog": "1.2.*"
    }
}
composer install 包依赖安装命令
  • --profile 显示执行时间
{ "name": "rabbitMQ project", "description": "rabbitMQ project.", "require": { "php-amqplib/php-amqplib": ">=2.6.1" }, "repositories": { "packagist": { "type": "composer", "url": "https://packagist.phpcomposer.com" } }}

系统要求

运行 Composer 需要 PHP 5.3.2+ 以上版本。

composer clearcache 清楚缓存

repositories节点是使用了国内的镜像,原因你懂的。

安装-*nix

curl -sS https://getcomposer.org/installer | php

注意: 如果上述方法由于某些原因失败了,你还可以通过 php >下载安装器:

php -r "readfile('https://getcomposer.org/installer');" | php

你可以通过 --install-dir 选项指定 Composer 的安装目录(它可以是一个绝对或相对路径):

curl -sS https://getcomposer.org/installer | php -- --install-dir=bin

全局安装
你可以将此文件放在任何地方。如果你把它放在系统的 PATH 目录中,你就能在全局访问它。 在类Unix系统中,你甚至可以在使用时不加 php 前缀。

curl -sS https://getcomposer.org/installer | php
mv composer.phar /usr/local/bin/composer

注意:mv可能需要root权限

composer update foo/bar 更新某个库(==一般不建议用这个命令==)

下一篇:没有了
友情链接: 网站地图
Copyright © 2015-2019 http://www.zen-40.com. mgm美高梅有限公司 版权所有